# Uses of Enum Class
org.apache.sysds.resource.enumeration.Enumerator.EnumerationStrategy

Packages that use Enumerator.EnumerationStrategy
Package
Description
org.apache.sysds.resource.enumeration

## Uses of Enumerator.EnumerationStrategy in org.apache.sysds.resource.enumeration

Methods in org.apache.sysds.resource.enumeration that return Enumerator.EnumerationStrategy
Modifier and Type
Method
Description
`Enumerator.EnumerationStrategy`
Enumerator.`getEnumStrategy()`
Meant to be used for testing purposes
`static Enumerator.EnumerationStrategy`
Enumerator.EnumerationStrategy.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Enumerator.EnumerationStrategy[]`
Enumerator.EnumerationStrategy.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.apache.sysds.resource.enumeration with parameters of type Enumerator.EnumerationStrategy
Modifier and Type
Method
Description
`Enumerator.Builder`
Enumerator.Builder.`withEnumerationStrategy(Enumerator.EnumerationStrategy strategy)`